## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanArrayAllocator Class Template Reference

`#include <XalanArrayAllocator.hpp>`

Collaboration diagram for XalanArrayAllocator:

[legend]
List of all members.

## Public Types

- typedef XalanVector<Type> VectorType
- typedef VectorType::size_type size_type
- typedef XALAN_STD_QUALIFIER
  pair<size_type, VectorType * > ListEntryType
- typedef XalanList<ListEntryType> ListType
- typedef Type value_type
- typedef ListType::iterator ListIteratorType
- enum { eDefaultBlockSize = 500 }

## Public Methods

- XalanArrayAllocator (MemoryManagerType &theManager, size_type theBlockSize=eDefaultBlockSize)
    Constructor. More...
- ~XalanArrayAllocator ()
- void clear ()
    Clear the instance, and release all allocated memory. More...
- void reset ()
    Reset the instance, but keep all memory so it can be reused for allocations. More...
- Type* allocate (size_type theCount)
    Allocate slots for the given number of Types instance and return the address of the slots. More...

### template<class Type> class XalanArrayAllocator

## Member Typedef Documentation

template<class Type>
typedef XALAN_STD_QUALIFIER pair< size_type, VectorType * > XalanArrayAllocator<Type>::ListEntryType<size_type, VectorType * >

template<class Type>
typedef ListType::iterator XalanArrayAllocator<Type>::ListIteratorType

template<class Type>
typedef XalanList< ListEntryType > XalanArrayAllocator<Type>::ListType<ListEntryType>

template<class Type>
typedef XalanVector< Type > XalanArrayAllocator<Type>::VectorType<Type>

template<class Type>
typedef VectorType::size_type XalanArrayAllocator<Type>::size_type

template<class Type>
typedef Type XalanArrayAllocator<Type>::value_type

## Member Enumeration Documentation

template<class Type>
anonymous enum

  | Enumeration values:
  eDefaultBlockSize |

## Constructor & Destructor Documentation

template<class Type>
XalanArrayAllocator<Type>::XalanArrayAllocator<Type> ( | MemoryManagerType & theManager,
| size_type theBlockSize = eDefaultBlockSize )

  | Constructor. Parameters:
  theBlockSize | The block size when allocating.

template<class Type>
XalanArrayAllocator<Type>::~XalanArrayAllocator<Type> ( | )

## Member Function Documentation

template<class Type>
Type * XalanArrayAllocator<Type>::allocate ( | size_type theCount )

  | Allocate slots for the given number of Types instance and return the address of the slots. Parameters:
  theCount | The number of slots to allocate

template<class Type>
void XalanArrayAllocator<Type>::clear ( | )

| Clear the instance, and release all allocated memory.

template<class Type>
void XalanArrayAllocator<Type>::reset ( | )

| Reset the instance, but keep all memory so it can be reused for allocations. This invalidates all previous allocations.

The documentation for this class was generated from the following file:

- XalanArrayAllocator.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.